package de.tud.kom.p2psim.impl.topology.movement.modularosm.attraction;

import de.tud.kom.p2psim.impl.topology.PositionVector;
import de.tudarmstadt.maki.simonstrator.api.component.sensor.location.AttractionPoint;

/**
 * A basic attraction point, as simple as it can get. Really just a named location
 * without any checks performed.
 */
public class BasicAttractionPoint extends PositionVector implements AttractionPoint
{
    private String name;
    private double weight = 0;
    private double radius = 0;

    public BasicAttractionPoint(String name, PositionVector pos)
    {
        super(pos);
        this.name = name;
    }


    @Override
    public String getName() {
        return name;
    }

    @Override
    public double getWeight() {
        return weight;
    }

    @Override
    public double getRadius() {
        return radius;
    }

    @Override
    public void setWeight(double weight) {
        this.weight = weight;
    }

    @Override
    public void setRadius(double radius) {
        this.radius = radius;
    }

    @Override
    public AttractionPoint clone(String newName) {
        return new BasicAttractionPoint(newName, this);
    }
}
